package siprp.higiene.gestao;

import javax.swing.JTabbedPane;

import siprp.higiene.gestao.legislacao.GerirLegislacaoPanel;
import siprp.higiene.gestao.riscos.GerirRiscosPanel;

import static com.evolute.utils.strings.UnicodeLatin1Map.*;

public class GlobalPanel extends JTabbedPane
{

	private static final long serialVersionUID = 1L;
	
	private final GerirRiscosPanel panelRiscos = new GerirRiscosPanel();
	
	private final GerirLegislacaoPanel panelLegislacao = new GerirLegislacaoPanel();

	public GlobalPanel()
	{
		startupComponents();
		setupLayout();
		placeComponents();
		startupListeners();
	}
	
	private void startupComponents()
	{
		addTab( "Riscos", panelRiscos );
		addTab( "Legisla" + ccedil + atilde + "o", panelLegislacao );
	}
	
	private void setupLayout()
	{
		
	}
	
	private void placeComponents()
	{
		
	}
	
	private void startupListeners()
	{
		
	}
	
}
